﻿@model HealthCareSoft.Repository.Models.DepartmentEntity
@using (Html.BeginForm(null, null, FormMethod.Post, new { id = "signupform" }))
{
    @*@Html.AntiForgeryToken()*@
   

    <div class="modal-header text-center">
        <h4 class="modal-title">User Form </h4>
        <small class="font-bold">Here You can Create Differnt Role Type User</small>
    </div>

        <div class="modal-body">
            @Html.ValidationSummary(true)
            <div class="form-group">
                @Html.LabelFor(model => model.Name)  
                @Html.TextBoxFor(model => model.Name, new { @class = "form-control", autoComplete="off", autofocus="true" })
                @Html.ValidationMessageFor(model => model.Name)
            </div>
            <div class="form-group">
                @Html.LabelFor(model => model.IsActive)
                @Html.CheckBoxFor(model => model.IsActive, new { })
                @Html.ValidationMessageFor(model => model.IsActive)
            </div>
            @*<div class="form-group">
                @Html.LabelFor(model => model.Email) 
                @Html.TextBoxFor(model => model.Email, new { @class = "form-control", autoComplete = "off" })
                @Html.ValidationMessageFor(model => model.Email)
            </div>
            <div class="form-group">
                @Html.LabelFor(model => model.Password)   
                @Html.TextBoxFor(model => model.Password, new { @class = "form-control", autoComplete = "off" })
                @Html.ValidationMessageFor(model => model.Password)
            </div>*@
            @*<div class="form-group">
                @Html.LabelFor(model => model.ro)  
                @Html.DropDownListFor(model => model.UserType, Enum.GetValues(typeof(Malae3ProSoft.BackEnd.Utility.UserRole)).Cast<Malae3ProSoft.BackEnd.Utility.UserRole>().Select(model => new SelectListItem { Text = model.ToString(), Value = model.ToString() }), new { @class = "form-control" })
                @Html.HiddenFor(model=>model.Status, new { Value = "1" })
                @Html.ValidationMessageFor(model => model.UserType)
            </div>*@
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
}
@section Styles {
    @Styles.Render("~/bundles/datatables/css")
    @Styles.Render("~/bundles/font-awesome/css")
    @Styles.Render("~/bundles/animate/css")
    @Styles.Render("~/bundles/bootstrap/css")
    @Styles.Render("~/bundles/peicon7stroke/css")
    @Styles.Render("~/bundles/homer/css")
}

@section Scripts {
    @Scripts.Render("~/bundles/datatables/js")
    @Scripts.Render("~/bundles/datatablesBootstrap/js")
    @Scripts.Render("~/bundles/datatablesPlugins/js")
    @Scripts.Render("~/bundles/bootstrap/js")
    @Scripts.Render("~/bundles/homer/js")
}